Name:          pyside6
Version:       6.9.1
Release:       1mamba
Summary:       Python bindings for the Qt 6 cross-platform application and UI framework
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.qt.io/Qt_for_Python
Source:        https://download.qt.io/official_releases/QtForPython/pyside6/PySide6-%{version}-src/pyside-setup-everywhere-src-%{version}.tar.xz
Patch0:        pyside6-6.9.1-fix-build.patch
Patch1:        pyside6-6.9.1-fix-build-qmodbusrtuserial.patch
License:       LGPL, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Concurrent
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Designer
BuildRequires: libQt6Gui
BuildRequires: libQt6Help
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libQt6PrintSupport
BuildRequires: libQt6SerialPort-devel
BuildRequires: libQt6Sql
BuildRequires: libQt6Test
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libclang-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libpython3-devel
BuildRequires: libpython311-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: python3.11dist(setuptools)
BuildRequires: qt6-qt3d-devel
BuildRequires: qt6-qtcharts-devel
BuildRequires: qt6-qtconnectivity-devel
BuildRequires: qt6-qtdatavis3d-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qthttpserver-devel
BuildRequires: qt6-qtlocation-devel
BuildRequires: qt6-qtmultimedia-devel
BuildRequires: qt6-qtnetworkauth-devel
BuildRequires: qt6-qtpositioning-devel
BuildRequires: qt6-qtquick3d-devel
BuildRequires: qt6-qtremoteobjects-devel
BuildRequires: qt6-qtscxml-devel
BuildRequires: qt6-qtsensors-devel
BuildRequires: qt6-qtserialbus-devel
BuildRequires: qt6-qtshadertools-devel
BuildRequires: qt6-qtspeech-devel
BuildRequires: qt6-qtsvg-devel
BuildRequires: qt6-qttools-devel
BuildRequires: qt6-qtwebchannel-devel
BuildRequires: qt6-qtwebengine-devel
BuildRequires: qt6-qtwebsockets-devel
BuildRequires: qt6-qtwebview-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Python bindings for the Qt 6 cross-platform application and UI framework.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n shiboken6
Group:         System/Libraries
Summary:       Python bindings for the Qt 6 cross-platform application and UI framework

%description -n shiboken6
Python bindings for the Qt 6 cross-platform application and UI framework.

%package -n shiboken6-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      shiboken6 = %{?epoch:%epoch:}%{version}-%{release}

%description -n shiboken6-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n pyside-setup-everywhere-src-%{version}
%patch 0 -p1 -b .fix-build
%ifarch x86_64
%patch 1 -p1
%endif

%build
%cmake \
    -DSHIBOKEN_PYTHON_LIBRARIES=`pkgconf python3-embed --libs` \
	-DPython_EXECUTABLE=/usr/bin/python%{python3_version} \
    -DBUILD_TESTS=OFF \
    -DCMAKE_BUILD_RPATH_USE_ORIGIN:BOOL=ON \
    -DCMAKE_SKIP_RPATH:BOOL=ON \
    -DFORCE_LIMITED_API=no \
    -DNO_QT_TOOLS=yes

export PYTHONPATH="$PWD/build/sources"
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

# Install egg-info
export PATH="%{_libdir}/qt6/bin:$PATH"
%{__python3} setup.py egg_info
cp -r shiboken6*.egg-info %{buildroot}%{python3_sitelib}/
cp -r PySide6.egg-info %{buildroot}%{python3_sitelib}/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/android_deploy.py
%{_bindir}/deploy.py
%dir %{_bindir}/deploy_lib
%{_bindir}/deploy_lib/*
%{_bindir}/metaobjectdump.py
%{_bindir}/project.py
%dir %{_bindir}/project_lib
%{_bindir}/project_lib/*
%{_bindir}/pyside_tool.py
%{_bindir}/qml.py
%{_bindir}/qtpy2cpp.py
%dir %{_bindir}/qtpy2cpp_lib
%{_bindir}/qtpy2cpp_lib/*
%{_bindir}/requirements-android.txt
%dir %{python3_sitelib}/PySide6.egg-info
%{python3_sitelib}/PySide6.egg-info/*
%dir %{python3_sitelib}/PySide6
%{python3_sitelib}/PySide6/*
%{_libdir}/libpyside6.cpython-*.so*
%{_libdir}/libpyside6qml.cpython-*.so*
%{_libdir}/libpyside6remoteobjects.a
%{_qt6_plugindir}/designer/libPySidePlugin.so
%dir %{_datadir}/PySide6
%{_datadir}/PySide6/*
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/PySide6
%{_includedir}/PySide6/*
%dir %{_libdir}/cmake/PySide6
%{_libdir}/cmake/PySide6/PySide6*.cmake
%dir %{_libdir}/cmake/PySide6Qml
%{_libdir}/cmake/PySide6Qml/PySide6Qml*.cmake
%{_libdir}/pkgconfig/pyside6.pc
%doc README.md README.pyside6.md README.pyside6_addons.md README.pyside6_essentials.md README.pyside6_examples.md

%files -n shiboken6
%defattr(-,root,root)
%{_bindir}/shiboken6
%{_bindir}/shiboken_tool.py
%dir %{python3_sitelib}/shiboken6.egg-info
%{python3_sitelib}/shiboken6.egg-info/*
%dir %{python3_sitelib}/shiboken6
%{python3_sitelib}/shiboken6/*
%dir %{python3_sitelib}/shiboken6_generator.egg-info
%{python3_sitelib}/shiboken6_generator.egg-info/*
%dir %{python3_sitelib}/shiboken6_generator
%{python3_sitelib}/shiboken6_generator/*
%{_libdir}/libshiboken6.cpython-*.so*
%doc LICENSES

%files -n shiboken6-devel
%defattr(-,root,root)
%dir %{_includedir}/shiboken6
%{_includedir}/shiboken6/*
%dir %{_libdir}/cmake/Shiboken6
%{_libdir}/cmake/Shiboken6/Shiboken6*.cmake
%{_libdir}/cmake/Shiboken6/ShibokenHelpers.cmake
%dir %{_libdir}/cmake/Shiboken6Tools
%{_libdir}/cmake/Shiboken6Tools/Shiboken6Tools*.cmake
%{_libdir}/pkgconfig/shiboken6.pc
%doc README.shiboken6-generator.md README.shiboken6.md

%changelog
* Wed Jun 18 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 6.9.1-1mamba
- package created using the webbuild interface
